com.google.cloud.dataflow.sdk.runners.inprocess

## Interface InProcessPipelineOptions

All Superinterfaces:
  ApplicationNameOptions, HasDisplayData, PipelineOptions

    public interface InProcessPipelineOptions
    extends PipelineOptions, ApplicationNameOptions

Options that can be used to configure the `InProcessPipelineRunner`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Clock` `getClock()` Deprecated. the runner manages its own `Clock` as an implementation detail
`ExecutorServiceFactory` `getExecutorServiceFactory()` Deprecated. the runner manages its own `ExecutorService` as an implementation detail
`boolean` `isBlockOnRun()`
`boolean` `isShutdownUnboundedProducersWithMaxWatermark()`
`boolean` `isTestImmutability()`
`void` `setBlockOnRun(boolean b)`
`void` `setClock(Clock clock)`
`void` `setExecutorServiceFactory(ExecutorServiceFactory executorService)`
`void` `setShutdownUnboundedProducersWithMaxWatermark(boolean shutdown)`
`void` `setTestImmutability(boolean test)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.ApplicationNameOptions

`getAppName, setAppName`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getExecutorServiceFactory

    @Deprecated
     @Hidden
    ExecutorServiceFactory getExecutorServiceFactory()

Deprecated. the runner manages its own `ExecutorService` as an implementation detail
Gets the `ExecutorServiceFactory` to use to create instances of `ExecutorService` to execute `PTransforms`.

Defaults to a `FixedThreadPoolExecutorServiceFactory`, which produces instances of `Executors.newCachedThreadPool()`.

#### setExecutorServiceFactory

    void setExecutorServiceFactory(ExecutorServiceFactory executorService)

#### getClock

    @Deprecated
     @Hidden
    Clock getClock()

Deprecated. the runner manages its own `Clock` as an implementation detail
Gets the `Clock` used by this pipeline. The clock is used in place of accessing the system time when time values are required by the evaluator.

#### setClock

    void setClock(Clock clock)

#### isShutdownUnboundedProducersWithMaxWatermark

    @Default.Boolean(value=false)
    boolean isShutdownUnboundedProducersWithMaxWatermark()

#### setShutdownUnboundedProducersWithMaxWatermark

    void setShutdownUnboundedProducersWithMaxWatermark(boolean shutdown)

#### isBlockOnRun

    @Default.Boolean(value=true)
    boolean isBlockOnRun()

#### setBlockOnRun

    void setBlockOnRun(boolean b)

#### isTestImmutability

    @Default.Boolean(value=true)
    boolean isTestImmutability()

#### setTestImmutability

    void setTestImmutability(boolean test)